Bug 258461 - sm-notify can't drop root privileges
sm-notify can't drop root privileges
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 19:45 EDT by David K. Means
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.1.0-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David K. Means 2007-08-27 19:45:12 EDT
sm-notify (a part of nfs-utils), installed version 1.1.0.3-fc7
complains (in /var/log/messages) that it is running as root, and
suggests that I change the owner of /var/lib/nfs/sm, so that it can
drop its privileges to match those of the directories it should write into.

Unfortunately, fc7 does not create this directory; instead, it creates
  /var/lib/nfs/statd/sm  and /var/lib/nfs/statd/sm.bak, and sets the
owner of statd and its subdirectories to "rpcuser", which looks right.

Is this just a version mismatch, or a more serious "out-of-sync" problem
with the nfs-utils?  I have not investigated, but the documentation says that
rpc.statd writes into these directories, and sm-notify reads and updates the
contents.  Surely, they ought to both be working from the same data.

How reproducible:
  on every boot
Comment 1 Steve Dickson 2007-09-14 14:15:38 EDT
Its a bug and is fixed in nfs-utils-1.1.0-4.fc7
Comment 2 Fedora Update System 2007-09-18 18:31:19 EDT
nfs-utils-1.1.0-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-10-29 15:02:23 EDT
nfs-utils-1.1.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.